Last Comment Bug 1150082 - SeaMonkey Donation Page is using the PayPal all or nothing version, instead of the usual either/or one
: SeaMonkey Donation Page is using the PayPal all or nothing version, instead o...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Project Organization (show other bugs)
: Trunk
: All All
-- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://forums.mozillazine.org/viewtop...
Depends on: 1081726
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-01 09:14 PDT by Philip Chee
Modified: 2015-07-02 10:18 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
affected


Attachments

Description User image Philip Chee 2015-04-01 09:14:48 PDT
Mozillazine thread: http://forums.mozillazine.org/viewtopic.php?f=40&t=2915747

User is asked to Create PayPal Password: and Confirm Password: after entering their name, card information, address and phone number. Then to continue you need to click the "Agree and Continue" button agreeing to PayPal's terms and conditions.
......
Seems SM is using the PayPal all or nothing version, instead of the usual either/or one
......
For some obscure reason, Germans don't seem to like using PayPal, so I made sure I got the right one years ago now.
......
Comment 1 User image Philip Chee 2015-04-09 08:13:41 PDT
According to:

https://developer.paypal.com/docs/classic/paypal-payments-standard/integration-guide/donation_buttons/

There should be an option to pay by credit card.
Comment 2 User image Frank Wein [:mcsmurf] 2015-04-10 00:06:41 PDT
Looking...
Comment 3 User image Frank Wein [:mcsmurf] 2015-04-10 00:38:05 PDT
Actually in the Paypal preferences it already says:
"PayPal Account Optional: On"

so I'm not quite sure why this does not seem to be working. According to the help text it should be working:
"Customers who already have a PayPal account will checkout in the traditional manner. The PayPal Account Optional Feature is available for merchants using the following PayPal payment solutions: Express Checkout, 'Buy Now', 'Donations' and 'Shopping Cart' buttons."
Maybe it's because a Paypal cookie is required?!
"If this feature is activated it allows customers with a PayPal cookie who do not own a PayPal account (eg. Returning PP guest users) to pay with their bank account or credit card for a certain number of transactions without opening a PayPal account rightaway. This feature is available for PayPal Express, Basis, Starter, Einzelzahlung, Spenden."

I'm not sure how to proceed with this bug here. The preferences looks ok.
Comment 4 User image Philip Chee 2015-04-10 17:09:37 PDT
Frank Lion's donate button leads to a page that says:
Pay with Credit Card or Log In
Ours says:
Create a PayPal Account or Log In
Comment 5 User image Frank Wein [:mcsmurf] 2015-04-10 22:29:29 PDT
I see the difference, but I see no preference to change this. According to some infos I found this also seems to be dependent on the country where the Paypal account was registered in (not sure if this is correct). Another person claimed that you need to have a verified credit card linked to your account so that this will work (again, no confirmation from Paypal on this). I'll mail their customer support and ask.
Comment 6 User image Frank Wein [:mcsmurf] 2015-04-11 08:40:35 PDT
I called the customer support, they said the "donation without using a Paypal account" possibility has already been removed multiple month ago. Maybe that was only for Germany, not sure (also not sure why the setting then still exists). Customer support also told me about the possibility of Paypal PLUS which can do something similar, but I need to read on what this is about.
Comment 7 User image Philip Chee 2015-04-13 03:20:34 PDT
When you created the button did you use the javascript API? There is a link to the "old" html button generator. Since Frank Lion said he created his donate button a long time ago he was probably using the old API (deprecated but should still work).
Comment 8 User image Rainer Bielefeld 2015-05-20 01:21:23 PDT
<https://addons.mozilla.org/en-us/thunderbird/addon/send-later-3/contribute/roadblock/?src=send-ask> shows a very comfortable solution for Paypal-donations. May be we can do that in a similar way?
Comment 9 User image Philip Chee 2015-05-21 10:33:29 PDT
https://www.paypal.com/webapps/mpp/donations

Boost your fundraising with our affordable solutions.

Accept credit cards and more, online and beyond. However you collect funds, we have affordable options trusted by nonprofits everywhere.

    Discounted rates for registered 501(c)(3)s
    Easy setup, no programming skills required
    Your donors don't need a PayPal account

https://www.paypal.com/ca/webapps/mpp/fundraise

Keep more of every donation with PayPal. We only offer the discount rate to charities registered with the Canadian Revenue agency (CRA). There's no setup fee, and you pay only when you start receiving donations. The cost to you is as low as 1.6% plus $0.30 for every donation.

Presumably there is a similar arrangement for e.V.s in Germany?
Comment 10 User image Frank Wein [:mcsmurf] 2015-06-24 11:58:49 PDT
We already use the donation solution provided by Paypal for Germany. There's no other solution that's only offered for e.V.s in Germany. So I guess there is no real solution for this bug here atm.
Comment 5 looks interesting (the solution used at addons.mozilla.org), I guess we should follow-up on a similar solution for our website.

Note You need to log in before you can comment on or make changes to this bug.